Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
machines
/
{id}
Get a machine
curl --request GET \
  --url https://rest.compute.cudo.org/v1/projects/{projectId}/machines/{id} \
  --header 'Authorization: <api-key>'
{
  "dataCenterId": "<string>",
  "id": "<string>",
  "machineTypeId": "<string>",
  "os": "<string>",
  "projectId": "<string>",
  "architecture": "<string>",
  "commitmentTerm": "COMMITMENT_TERM_NONE",
  "cpuCores": 123,
  "cpuModel": "<string>",
  "cpuSpeedMhz": 123,
  "createBy": "<string>",
  "createTime": "2023-11-07T05:31:56Z",
  "customSshKeys": [
    "<string>"
  ],
  "diskSizeGib": 123,
  "disks": 123,
  "externalIpAddresses": [
    "<string>"
  ],
  "gpuModelId": "<string>",
  "gpus": 123,
  "hostname": "<string>",
  "memoryGib": 123,
  "powerState": "MACHINE_POWER_STATE_UNSPECIFIED",
  "priceHr": {
    "value": "<string>"
  },
  "sshKeySource": "SSH_KEY_SOURCE_UNKNOWN",
  "startScript": "<string>",
  "state": "STATE_UNSPECIFIED",
  "userData": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cudocompute.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. API keys should be passed using the format Bearer API_KEY.

Path Parameters

projectId
string
required
id
string
required

Response

A successful response.

dataCenterId
string
required
id
string
required
machineTypeId
string
required
os
string
required
projectId
string
required
architecture
string
read-only
commitmentTerm
enum<string>
default:COMMITMENT_TERM_NONE
Available options:
COMMITMENT_TERM_NONE,
COMMITMENT_TERM_1_MONTH,
COMMITMENT_TERM_3_MONTHS,
COMMITMENT_TERM_6_MONTHS,
COMMITMENT_TERM_12_MONTHS,
COMMITMENT_TERM_24_MONTHS,
COMMITMENT_TERM_36_MONTHS,
COMMITMENT_TERM_60_MONTHS
cpuCores
integer<int32>
read-only
cpuModel
string
read-only
cpuSpeedMhz
integer<int32>
read-only
createBy
string
read-only
createTime
string<date-time>
read-only
customSshKeys
string[]
diskSizeGib
integer<int32>
read-only
disks
integer<int32>
read-only
externalIpAddresses
string[]
read-only
gpuModelId
string
read-only
gpus
integer<int32>
read-only
hostname
string
read-only
memoryGib
integer<int32>
read-only
powerState
enum<string>
default:MACHINE_POWER_STATE_UNSPECIFIED
Available options:
MACHINE_POWER_STATE_UNSPECIFIED,
ON,
OFF,
POWERING_ON,
POWERING_OFF,
REBOOTING
priceHr
object

A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal.

sshKeySource
enum<string>
default:SSH_KEY_SOURCE_UNKNOWN
Available options:
SSH_KEY_SOURCE_UNKNOWN,
SSH_KEY_SOURCE_PROJECT,
SSH_KEY_SOURCE_USER,
SSH_KEY_SOURCE_NONE
startScript
string
state
enum<string>
default:STATE_UNSPECIFIED
Available options:
STATE_UNSPECIFIED,
CREATING,
ACTIVE,
DEPLOYING,
DELETING,
FAILED,
UPDATING
userData
string
deprecated

DEPRECATED: use startScript to run a script on boot, and sshKeySource or customSshKeys to set authorized ssh keys